import React from 'react';
export declare const ApiContext: React.Context<{}>;
export declare const ApiProvider: React.Provider<{}>;
import { HttpClientType } from '../types/HttpClients.types';
interface Props {
    children: React.ReactNode;
    /** Configuration for the http client */
    config: HttpClientType | undefined;
    /** A component that can be used to log or print the http requests made for your application */
    ClientLogger?: React.ComponentType<{
        requests: any;
    }>;
}
/**
 * This component provides the HTTP client instance to all application
 * @author Alejandro <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @param children
 * @param config
 * @param ClientLogger
 * @constructor
 */
declare const ApiClient: React.FC<Props>;
export default ApiClient;
